// RTEQSharedMemorySample.cpp : Defines the class behaviors for the application.
//
// created by Unwinder
/////////////////////////////////////////////////////////////////////////////
#include "stdafx.h"
#include "RTEQSharedMemorySample.h"
#include "RTEQSharedMemorySampleDlg.h"
/////////////////////////////////////////////////////////////////////////////
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
/////////////////////////////////////////////////////////////////////////////
// CRTEQSharedMemorySampleApp
/////////////////////////////////////////////////////////////////////////////
BEGIN_MESSAGE_MAP(CRTEQSharedMemorySampleApp, CWinApp)
	//{{AFX_MSG_MAP(CRTEQSharedMemorySampleApp)
	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()
/////////////////////////////////////////////////////////////////////////////
// CRTEQSharedMemorySampleApp construction
/////////////////////////////////////////////////////////////////////////////
CRTEQSharedMemorySampleApp::CRTEQSharedMemorySampleApp()
{
}
/////////////////////////////////////////////////////////////////////////////
// The one and only CRTEQSharedMemorySampleApp object
/////////////////////////////////////////////////////////////////////////////
CRTEQSharedMemorySampleApp theApp;
/////////////////////////////////////////////////////////////////////////////
// CRTEQSharedMemorySampleApp initialization
/////////////////////////////////////////////////////////////////////////////
BOOL CRTEQSharedMemorySampleApp::InitInstance()
{
	AfxEnableControlContainer();

	// Standard initialization

#ifdef _AFXDLL
	Enable3dControls();			// Call this when using MFC in a shared DLL
#else
	Enable3dControlsStatic();	// Call this when linking to MFC statically
#endif

	CRTEQSharedMemorySampleDlg dlg;
	m_pMainWnd = &dlg;
	int nResponse = dlg.DoModal();
	if (nResponse == IDOK)
	{
	}
	else if (nResponse == IDCANCEL)
	{
	}

	// Since the dialog has been closed, return FALSE so that we exit the
	//  application, rather than start the application's message pump.
	return FALSE;
}
/////////////////////////////////////////////////////////////////////////////
